Update Tenant Information

Update Tenant Information
Update the current tenant details. This is the final step of the initialization wizard flow.

Update the current tenant details. This is the final step of the initialization wizard flow.

Request
URI
PUT
https://umip/api/v1/tenant
COPY
Request Body

Tenant details to update

PutTenantRequest of type(s) application/json
Required
{
    "tenantId": "string",
    "accepted": false
}
string
tenantId
Required

The tenant ID for update.

boolean
accepted
Required

Whether or not the tenant is accepted.

Authentication
This operation uses the following authentication methods.
Responses
202

If the update of the tenant details succeeds.

Operation doesn't return any data structure

400

Generic Bad Request error response.

Returns 400ErrorResponse of type(s) application/json
{
    "messages": [
        {
            "key": "string",
            "message": "string"
        }
    ]
}
array of object
messages
Optional

Collection of error messages.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"tenantId":"string","accepted":"boolean"}' https://{api_host}/api/v1/tenant